org.apache.ignite.internal.util

## Class GridConfigurationFinder

- java.lang.Object
- - org.apache.ignite.internal.util.GridConfigurationFinder

    public final class GridConfigurationFinder
    extends Object

Finds configuration files located in `IGNITE_HOME` folder and its subfolders.

### Field Summary

Fields
`static String` `Q_PREFIX` Prefix for questionable paths.

### Method Summary

All Methods Static Methods Concrete Methods
`static List<GridTuple3<String,Long,File>>` `getConfigFiles()` Lists paths to all Ignite configuration files located in IGNITE_HOME with their last modification timestamps.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Q_PREFIX

    public static final String Q_PREFIX

Prefix for questionable paths.

See Also:
  Constant Field Values

### Method Detail

#### getConfigFiles

    public static List<GridTuple3<String,Long,File>> getConfigFiles()
                                                             throws IOException

Lists paths to all Ignite configuration files located in IGNITE_HOME with their last modification timestamps.

Returns:
  Collection of configuration files and their last modification timestamps.
Throws:
  `IOException` - Thrown in case of any IO error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022